com.verisign.epp.codec.registry.v02

## Class EPPRegistryDNSSEC

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryDNSSEC

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryDNSSEC
      extends java.lang.Object
      implements EPPCodecComponent

  Defines the DNS Security Extensions (DNSSEC) policies for the server. The <registry:dnssec> element contains the following child elements:
  - <registry:dsDataInterface> - defines the DS Data Interface, as defined in RFC 5910, policies. Use `getDs()` and `setDs(EPPRegistryDS)` to get and set this element.
  - <registry:keyDataInterface> - defines the Key Data Interface, as defined in RFC 5910, policies. Use `getKey()` and `setKey(EPPRegistryKey)` to get and set this element.
  - <registry:maxSigLife> - defines the maximum signature life policies. Use `getMaxSigLife()` and `setMaxSigLife(EPPRegistryMaxSig)` to get and set this element.
  - <registry:urgent> - whether the client can specify the urgent attribute for DNSSEC updates with a default value of `false`.. Use `getUrgent()` and `setUrgent(Boolean)` to get and set this element.
  In one <registry:dnssec> element, only one of <registry:dsDataInterface> or <registry:keyDataInterface> may exist.
  See Also:
    `EPPRegistryDomain`, `EPPRegistryDS`, `EPPRegistryKey`, `EPPRegistryMaxSig`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the `EPPRegistryDNSSEC` local name
    `static java.lang.String` | `ELM_NAME` Constant for the `EPPRegistryDNSSEC` (prefix and local name)
    `static java.lang.String` | `ELM_URGENT` XML tag name for the `urgent` attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryDNSSEC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryDNSSEC`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryDNSSEC` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryDNSSEC` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryDNSSEC` compare.
    `EPPRegistryDS` | `getDs()` Gets DS Data interface attributes.
    `EPPRegistryKey` | `getKey()` Gets Key Data interface attributes.
    `EPPRegistryMaxSig` | `getMaxSigLife()` Gets max signature life policy.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.Boolean` | `getUrgent()` Gets the urgent flag.
    `void` | `setDs(EPPRegistryDS aDs)` Sets DS Data interface attributes.
    `void` | `setKey(EPPRegistryKey aKey)` Sets Key Data interface attributes.
    `void` | `setMaxSigLife(EPPRegistryMaxSig aMaxSigLife)` Sets max signature life policy.
    `void` | `setUrgent(java.lang.Boolean aUrgent)` Sets the urgent flag.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the `EPPRegistryDNSSEC` local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the `EPPRegistryDNSSEC` (prefix and local name)
      See Also:
        Constant Field Values

    - #### ELM_URGENT

          public static final java.lang.String ELM_URGENT

      XML tag name for the `urgent` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryDNSSEC

          public EPPRegistryDNSSEC()

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryDNSSEC` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryDNSSEC` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryDNSSEC` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryDNSSEC` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryDNSSEC` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryDNSSEC`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryDNSSEC`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryDNSSEC` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryDNSSEC` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getDs

          public EPPRegistryDS getDs()

      Gets DS Data interface attributes.
      Returns:
        instance of `EPPRegistryDS`

    - #### setDs

          public void setDs(EPPRegistryDS aDs)

      Sets DS Data interface attributes.
      Parameters:
        `aDs` - instance of `EPPRegistryDS`

    - #### getKey

          public EPPRegistryKey getKey()

      Gets Key Data interface attributes.
      Returns:
        instance of `EPPRegistryKey`

    - #### setKey

          public void setKey(EPPRegistryKey aKey)

      Sets Key Data interface attributes.
      Parameters:
        `aKey` - instance of `EPPRegistryKey`

    - #### getMaxSigLife

          public EPPRegistryMaxSig getMaxSigLife()

      Gets max signature life policy.
      Returns:
        instance of `EPPRegistryMaxSig`

    - #### setMaxSigLife

          public void setMaxSigLife(EPPRegistryMaxSig aMaxSigLife)

      Sets max signature life policy.
      Parameters:
        `aMaxSigLife` - instance of `EPPRegistryMaxSig`

    - #### getUrgent

          public java.lang.Boolean getUrgent()

      Gets the urgent flag.
      Returns:
        `true` if the client can specify the urgent attribute for DNSSEC updates. `false` if the client CANNOT specify the urgent attribute for DNSSEC updates.

    - #### setUrgent

          public void setUrgent(java.lang.Boolean aUrgent)

      Sets the urgent flag.
      Parameters:
        `aUrgent` - `true` if the client can specify the urgent attribute for DNSSEC updates. `false` if the client CANNOT specify the urgent attribute for DNSSEC updates.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.